<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.321
Name: Intubation of colon
Description: Template: Intubatie tijd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000">
   <title>Intubation of colon</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]
Item: (Intubationofcolon)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']"
         id="tmp-r-5922f35c-7205-4519-9b12-b0218fd7662b">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@classCode)=('PROC')">(Intubationofcolon): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@moodCode)=('EVN')">(Intubationofcolon): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&gt;=1 ">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&lt;=1">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Intubationofcolon): element hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Intubationofcolon): element hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Intubationofcolon): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Intubationofcolon): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Intubationofcolon): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']"
         id="tmp-r-5e8b6c7e-416f-4bd5-9471-55a38280e1f5">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.321')">(Intubationofcolon): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.321' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:code[(@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-be01c8ad-9635-41de-ad77-f546cb536b19">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or (@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')">(Intubationofcolon): de elementwaarde MOET een zijn van 'code '84391005' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:text
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:text"
         id="tmp-r-dc5286d6-6e1d-4a1b-8313-25dc17188d31">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Intubationofcolon): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Intubationofcolon): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:text/hl7:reference
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:text/hl7:reference"
         id="tmp-r-49d23fcc-0d05-4039-a7c3-ab9c349a9d55">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:effectiveTime
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:effectiveTime"
         id="tmp-r-638c1336-18f7-4437-8849-b51bfba9f408">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)">(Intubationofcolon): element hl7:width is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width)&lt;=1">(Intubationofcolon): element hl7:width komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:effectiveTime/hl7:width
Item: (Intubationofcolon)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']/hl7:effectiveTime/hl7:width"
         id="tmp-r-633ab4bd-23fe-4f99-a560-350151cca400">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(@nullFlavor or (@unit='min'))">(Intubationofcolon): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="$digitok or @nullFlavor">(Intubationofcolon): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150331T093903/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Intubationofcolon): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
